# Get Forms

> Source: https://truto.one/docs/api-reference/unified-forms-api/forms/get/

`GET /unified/forms/forms/{id}`

Resource: **Forms** · API: **Unified Forms API**

## Supported integrations

Google, Google Forms, Jotform, Survey Monkey, SurveySparrow, Typeform, Webflow

## Path parameters

- **`id`** _(string, required)_
  The ID of the resource.

## Query parameters

- **`integrated_account_id`** _(string, required)_
  The ID of the integrated account to use for the request.
- **`truto_response_format`** _(string)_
  The format of the response. - `unified` returns the response with unified mappings applied. - `raw` returns the unprocessed, raw response from the remote API. - `normalized` applies the unified mappings and returns the data in a normalized format. - `stream` returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory. Defaults to `unified`.
  Allowed: `unified`, `raw`, `normalized`, `stream`
- **`truto_ignore_remote_data`** _(boolean)_
  Excludes the `remote_data` attribute from the response.
- **`truto_exclude_fields`** _(array<string>)_
  Array of fields to exclude from the response.
- **`remote_query`** _(object)_
  Query parameters to pass to the underlying API without any transformations. Refer [this guide](https://truto.one/docs/api-reference/overview/querying#remote-query-parameters) to see how to structure the query parameters.

## Response body

- **`id`** _(string)_
  The unique identifier of the form.
- **`name`** _(string)_
  The name of the form.
- **`type`** _(string)_
  The type of the form.
- **`fields`** _(array<object>)_
  The form fields
  - **`id`** _(string)_
    The field's unique identifier
  - **`name`** _(string)_
    The field's name. This is the name of the property in the entity.
  - **`label`** _(string)_
    The field's label
  - **`placeholder`** _(string)_
    The field's placeholder
  - **`description`** _(string)_
    The field's description
  - **`position`** _(number)_
    The index position of field in the form.
  - **`type`** _(string)_
    The field's type. If no clear mapping exists, then raw value is returned.
    Allowed: `statement`, `string`, `text`, `rich_text`, `number`, `boolean`, `date`, `datetime`, `time`, `enum`, `array`, `file` (+5 more)
  - **`format`** _(string)_
    The format of the field.
    Allowed: `url`, `email`, `password`
  - **`validation`** _(string)_
    The validation string for the field.
  - **`range`** _(object)_
    The range applicable for field types number, rating, scale.
    - **`min`** _(number)_
      The minimum range for the field.
    - **`min_label`** _(number)_
      The label for the minimum range of the field.
    - **`max`** _(number)_
      The maximum range for the field.
    - **`max_label`** _(number)_
      The label for the maximum range of the field.
  - **`is_required`** _(boolean)_
    Whether the field is required
  - **`options`** _(array<object>)_
    The field's options
    - **`label`** _(string)_
      The option's label
    - **`value`** _(string)_
      The option's value
    - **`description`** _(string)_
      The option's description
  - **`field_group`** _(object)_
    The field's group identifier. If present, the field is part of a group.
    - **`id`** _(string)_
      The field groups's identifier
    - **`name`** _(string)_
      The field groups's name
    - **`label`** _(string)_
      The field groups's label
  - **`rows`** _(array<object>)_
    The field's rows. If present, the field's type is matrix
    - **`label`** _(string)_
      The row's label
    - **`value`** _(string)_
      The row's value
    - **`description`** _(string)_
      The row's description
  - **`columns`** _(array<object>)_
    The field's columns. If present, the field's type is matrix
    - **`label`** _(string)_
      The column's label
    - **`value`** _(string)_
      The column's value
    - **`description`** _(string)_
      The column's description
    - **`options`** _(array<object>)_
      The field's options
      - **`label`** _(string)_
        The option's label
      - **`value`** _(string)_
        The option's value
      - **`description`** _(string)_
        The option's description
- **`workspace`** _(object)_
  The workspace to which the form belongs.
  - **`id`** _(string)_
    The unique identifier of the workspace.
  - **`name`** _(string)_
    The name of the workspace.
- **`organization`** _(object)_
  The organization to which the workspace belongs.
  - **`id`** _(string)_
    The unique identifier of the organization.
  - **`name`** _(string)_
    The name of the organization.
- **`last_submitted_at`** _(string)_
  The date and time when the form was last submitted.
- **`created_at`** _(string)_
  The date and time when the form was created.
- **`updated_at`** _(string)_
  The date and time when the form was last updated.
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Code examples

### curl

```bash
curl -X GET 'https://api.truto.one/unified/forms/forms/{id}?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
```

### JavaScript

```javascript
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/forms/forms/{id}?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

url = "https://api.truto.one/unified/forms/forms/{id}"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
```

### Truto TS SDK

```typescript
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.get(
  'forms',
  'forms',
  '<resource_id>',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
```

### Truto Python SDK

```python
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.get(
        "forms",
        "forms",
        "<resource_id>",
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())
```
